Name:           CuraEngine
Version:        13.11.2
Release:        1%{?dist}
Summary:        Engine for processing 3D models into G-code instructions for 3D printers
License:        AGPLv3
URL:            https://github.com/Ultimaker/%{name}
Source0:        %{url}/archive/%{version}.tar.gz
BuildRequires:  polyclipping-devel

%description
%{name} is a C++ console application for 3D printing G-code generation. It
has been made as a better and faster alternative to the old Skeinforge engine.

This is just a console application for G-code generation. For a full graphical
application look at cura with is the graphical frontend for %{name}.

%prep
%setup -q

# bundled clipper
rm -rf clipper
sed -i 's|#include "clipper/clipper.hpp"|#include <polyclipping/clipper.hpp>|' utils/*.h
sed -i 's|$(CXX)|$(CXX) $(LIBS)|g' Makefile
sed -i 's| clipper/clipper.cpp||g' Makefile

# allow redefinition of CFLAGS and do not build it static
sed -i 's|CFLAGS +=|CFLAGS?=|' Makefile
sed -i 's|--static||g' Makefile

%build
LIBS="-lpolyclipping" CFLAGS="-I. -c %{optflags} -fomit-frame-pointer" make %{?_smp_mflags}

%install
install -Dpm0755 %{name} %{buildroot}/%{_bindir}/%{name}

%check
#make tests - fetches models form web, some of them returns 404
for MODEL in wolt woltBaselin woltNotFlat wolt_scaled200Perc wolt_smoothingOn; do
  ./%{name} -v -o ./testcase_models/${MODEL}.gcode ./testcase_models/${MODEL}.stl
done

%files
%doc LICENSE README.md
%{_bindir}/%{name}

%changelog
* Sat Dec 14 2013 Miro Hrončok <mhroncok@redhat.com> - 13.11.2-1
- New version 13.11.2
- Makefile seding changed to reflect changes
- Clipper usage no longer need patching

* Fri Aug 02 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 13.06.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jul 22 2013 Miro Hrončok <mhroncok@redhat.com> - 13.06.3-3
- Rebuilt for new polyclipping

* Thu Jul 04 2013 Miro Hrončok <mhroncok@redhat.com> - 13.06.3-2
- Added some explaining comments

* Sun Jun 23 2013 Miro Hrončok <mhroncok@redhat.com> - 13.06.3-1
- New package
